Example request
POST https://api.jupiter-erp.com/api/account/personnel
Code
curl -X POST 'https://api.jupiter-erp.com/api/account/personnel' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"location_id": 0,
"contact_id": 0,
"account_user_id": 0,
"first_name": "string",
"last_name": "string",
"title": "string"
}'Request body
Optional
| Field | Type | Description |
|---|---|---|
| account_user_id | integer | — |
| active | boolean | — |
| contact_id | integer | — |
| department | string | — |
| string (email) | — | |
| employee_number | string | — |
| first_name* | string | — |
| gender | string | string
|
| hire_date | string (date) | — |
| internal_note | string | — |
| last_name* | string | — |
| location_id | integer | — |
| mobile | string | — |
| phone | string | — |
| position | string | — |
| termination_date | string (date) | — |
| title | string | — |
Example request
{
"location_id": 0,
"contact_id": 0,
"account_user_id": 0,
"first_name": "string",
"last_name": "string",
"title": "string"
}Responses
201Created
ModelPersonnel
| Field | Type | Description | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| account_user | object |
| |||||||||
| account_user_id | integer | — | |||||||||
| active* | boolean | — | |||||||||
| contact | object |
| |||||||||
| contact_id | integer | — | |||||||||
| created_at | string (date-time) | Creation timestamp in ISO 8601 format. | |||||||||
| department | string | — | |||||||||
| string (email) | — | ||||||||||
| employee_number | string | — | |||||||||
| first_name* | string | — | |||||||||
| gender | string | string
| |||||||||
| hire_date | string (date) | — | |||||||||
| id* | integer | — | |||||||||
| internal_note | string | HTML | |||||||||
| last_name* | string | — | |||||||||
| location | object |
| |||||||||
| location_id | integer | — | |||||||||
| mobile | string | — | |||||||||
| phone | string | — | |||||||||
| position | string | — | |||||||||
| termination_date | string (date) | — | |||||||||
| title | string | — | |||||||||
| updated_at | string (date-time) | Last update timestamp in ISO 8601 format. |
Example response
{
"id": 0,
"location_id": 0,
"location": {
"id": 0,
"name": "string"
},
"contact_id": 0,
"contact": {
"id": 0,
"name": "string"
},
"account_user_id": 0,
"first_name": "string",
"last_name": "string",
"active": true
}Personnel